/////////////////////////////////////////////////////////////////////////////
// Plugin dailog header

#if !defined(PluginDialogHeader)
#define PluginDialogHeader

#if _MSC_VER > 1000
#pragma once
#endif

/////////////////////////////////////////////////////////////////////////////
// QCKPLUGIN API
// Include plugin header and QCKPLUGIN API header

#include "Polygon.h"
#include "qckplugin.h"

/////////////////////////////////////////////////////////////////////////////
// QCKPLUGIN API
// The plugin dialog is a subclass of IQckEventNotify to recieve plugin
// event notifications

class CPolygonDlg : public CDialog, public IQckEventNotify
{

// Plugin dialog members

public:

// Initialization

  IQckSrvcMgr* m_Manager;             // Service manager
  void* m_Handle;                     // Plugin handle

// Services

  IQckGraphicsSrvc* m_GraphicsSrvc;   // Graphics service
  IQckWindowSrvc* m_WindowSrvc;       // Window service
  IQckQuerySrvc* m_QuerySrvc;         // Query service

// Event notification

  void OnShowDialog(const bool show); // Show dialog notification
  void OnDrawWindowRubberBand(const sQCKWINDOW& window); // Window selection
  void OnRedraw(); // Qckvu3 is redrawing the display
  void OnGetDataVector(const sQCKVECTOR& VectorDatum); // Data from Qckvu3

// Selection window

  double m_X1; // Minimum x
  double m_Y1; // Minimum y
  double m_X2; // Maximum x
  double m_Y2; // Maximum y

// Flag to indicate whether the selection windows is being displayed

  bool m_Drawing;

// File handle

  FILE *m_File;

// Function used to draw the selection window in the Qckvu3 viewer

  void DrawWindow();

/////////////////////////////////////////////////////////////////////////////
// AppWizard generated content

// Construction
public:
	CPolygonDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPolygonDlg)
	enum { IDD = IDD_DIALOG };
	CString	m_Window;
	CString	m_Filename;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPolygonDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPolygonDlg)
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	virtual BOOL OnInitDialog();
	afx_msg void OnSelect();
	virtual void OnCancel();
	afx_msg void OnBrowse();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif

/////////////////////////////////////////////////////////////////////////////
